# MPI_Type_extent

Returns the extent of a datatype

## Synopsis

    int MPI_Type_extent(MPI_Datatype datatype, MPI_Aint * extent)

## Input Parameters

datatype
  datatype (handle)

## Output Parameters

extent
  datatype extent (address integer)

## Thread and Interrupt Safety

This routine is both thread- and interrupt-safe. This means that this routine may safely be used by multiple threads and from within a signal handler.

## Deprecated Function

The MPI-2 standard deprecated a number of routines because MPI-2 provides better versions. This routine is one of those that was deprecated. The routine may continue to be used, but new code should use the replacement routine. The replacement for this routine is `MPI_Type_get_extent`.

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_ERR_TYPE
  Invalid datatype argument. Additionally, this error can occur if an uncommitted MPI_Datatype (see `MPI_Type_commit`) is used in a communication call.